<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);
include '../system.php';
$set['title'] = 'Профессиоальная защита для вашего сайта '.$systems_bleik['title'].'';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
?>
<link rel="stylesheet" href="../style.css" type="text/css" />
<?
if (!isset($_GET['action']) || !preg_match("!^[a-zA-Z0-9_]+$!i",$_GET['action'])) $action=false; else $action=$_GET['action'];

switch($action):

case'':
echo "<div class='foot'>Добро пожаловать в мастер установки ".$systems_bleik['title']."</b></div>\n";
echo '<div class="bleik">';
echo 'Здраствуйте вы попали на раздел установки модуля '.$systems_bleik['title'].'<br/>';
echo " Модуль ".$systems_bleik['title']." предназначен для защиты и легкости вашего сайта $_SERVER[HTTP_HOST]<br/>";
echo 'На нашем модуле есть много функции  для защиты вашего сайта';
echo '<hr/><center><form action="index.php?action=1" method="post">';echo '<input type="submit" value="Дальше"> <a href="/protection/">Отмена</a></form></center>';
echo '</div>';
break;
case'1':
echo "<div class='foot'>Добро пожаловать в мастер установки ".$systems_bleik['title']."</b></div>\n";
echo '<div class="menu_razd">Установка защиты для админской части</div>';
echo '<div class="bleik2">';
echo 'Чтобы при входи на админ панель засветилась логин и пороль  пропишите этот <b>include_once"../protection/sucure.php</b>  к файлам папки /adm_panel/ <b>снизу include_once "../sys/inc/user.php"</b>"';
echo '</div>';
echo '<div class="menu_razd">Установки  антиспам в гостевой</div>';
echo '<div class="bleik2">';
echo'Чтобы работал антиспам на гостевой в файле /guest/index.php <b>Свеху кода msg("Сообщение успешно добавлено"); пропишите include_once"../protection/code.php</b>";';
echo '</div>';
echo '<div class="menu_razd">Установки  антиспам на форуме</div>';

echo '<div class="bleik2">';
echo'Чтобы работал антиспам на форуме в файле /forum/inc/them.php <b>Свеху кода msg("Сообщение успешно добавлено"); пропишите include_once"../protection/code.php</b>";';
echo '</div>';
echo '<hr/><center><form action="index.php?action=2" method="post">';echo '<input type="submit" value="Дальше"> <a href="/protection/">Отмена</a></form></center>';
break;

case'2':

echo "<div class='foot'>Установка таблиц в базу данных ".$systems_bleik['title']."</b></div>\n";
echo '<div class="menu_razd">Ваши данные в базе данных</div>';
echo "<div class='bleik'> Хост:".$set['mysql_host']."</div>";
echo "<div class='bleik'> Имя пользователя: ".$set['mysql_user']."</div>";
if(!$set['mysql_pass'])
{echo '<div class="bleik"> Пороль: Пороль не установлен'."</div>";}
else{
echo "<div class='bleik'> Пороль:".$set['mysql_pass']."</div>";}
echo "<div class='bleik'> Имя базы:".$set['mysql_db_name']."</div>";
echo '<div class="menu_razd">Залить таблицы в базу</div>';
echo '<div class="bleik"><b><center><a href="i.php">Залить таблицы в базу ('.$set['mysql_db_name'].')</a></b></center></div>';

echo '<div class="menu_razd">после установки</div>';
echo '<div class="bleik2"><font color="red"><b>После установки залейте эти дополнительные таблицы обязательно*</b></font></div>';
echo "<div class='bleik'>ALTER TABLE `user` ADD   `pocazspamadm` set('0','1') DEFAULT NULL;</div>
<div class='bleik'>ALTER TABLE `user` ADD   `pocazbleik` enum('0','1') DEFAULT NULL;</div>
<div class='bleik'>ALTER TABLE `user` ADD  `pocazspam` set('0','1') NOT NULL DEFAULT '1';</div>";

break;

case'4';
echo "<div class='foot'>Начинаем заливать таблицы в базу данных ".$systems_bleik['title']."</b></div>\n";
	$error = '';
	@set_magic_quotes_runtime(0);
// Читаем SQL файл и заносим его в базу данных
	$query = fread(fopen('bleik.sql', 'r'), filesize('bleik.sql'));
	$pieces = split_sql($query);
	for ($i = 0; $i < count($pieces); $i++)
	{
				$pieces[$i] = trim($pieces[$i]);
				if (!empty($pieces[$i]) && $pieces[$i] != "#")
				{
							if (!mysql_query($pieces[$i]))
							{
										$error = $error . mysql_error() . '<br />';
							}
				}
	}
	if (empty($error))
	{
				echo '<span class="green">OK</span> - Данные установлены<br /><a href="../index.php">Перейти на сайт</a><br />';
	}
	else
	{
				// Если были ошибки, выводим их
				echo $error;
				echo '<br /><span class="red">Что то не то,попробуем еще раз.</span><a href="index.php">Попробовать</a><br />';
	}
	function split_sql($sql)
	{
				$sql = trim($sql);
				$sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);
				$buffer = array();
				$ret = array();
				$in_string = false;
				for ($i = 0; $i < strlen($sql) - 1; $i++)
				{
							if ($sql[$i] == ";" && !$in_string)
							{
										$ret[] = substr($sql, 0, $i);
										$sql = substr($sql, $i + 1);
										$i = 0;
							}
							if ($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\")
							{
										$in_string = false;
							} elseif (!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] !=
							"\\"))
							{
										$in_string = $sql[$i];
							}
							if (isset($buffer[1]))
							{
										$buffer[0] = $buffer[1];
							}
							$buffer[1] = $sql[$i];
				}
				if (!empty($sql))
				{
							$ret[] = $sql;
				}
				return ($ret);
	}

break;
endswitch;
linbSAleik();
include_once '../../sys/inc/tfoot.php';
?>